## python-setuptools-rust 1.9.0+dfsg

=== docs/requirements.txt ===
Sphinx==7.2.6
sphinx-autodoc-typehints==1.25.3
furo==2024.1.29
myst-parser==2.0.0

## python-setuptools-rust 1.2.0

=== debian/changelog ===
python-setuptools-rust (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Delete version.py on clean. Closes: #1002443
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Drop Build-Depends on python3-tomli, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2022 21:02:18 -0400

python-setuptools-rust (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depend on python3-tomli and python3-typing-extensions instead of
    python3-toml, following upstream.
  * Rename Vcs repo to match source package.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Dec 2021 15:43:37 -0400

python-setuptools-rust (0.12.1-1) unstable; urgency=low

  * Initial release. Closes: #978081

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Jul 2021 16:30:47 +0100

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-semantic-version (>= 2.6.0),
 python3-setuptools (>= 46.1),
 python3-setuptools-scm (>= 3.4.3),
 python3-typing-extensions (>=3.7.4.3)
Testsuite: autopkgtest-pkg-python
Source: python-setuptools-rust
Homepage: https://github.com/PyO3/setuptools-rust
Priority: optional
Section: python
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/python-setuptools-rust.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setuptools-rust

Package: python3-setuptools-rust
Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}
Architecture: all
Description: Setuptools Rust extension plugin
 setuptools-rust is a plugin for setuptools to build Rust Python
 extensions implemented with PyO3 or rust-cpython.
 .
 Compile and distribute Python extensions written in Rust as easily as
 if they were written in C.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/setuptools-rust-$1\.tar\.gz/ https://github.com/PyO3/setuptools-rust/tags .*\/v(\d\S+)\.tar\.gz

## python-setuptools-rust 1.5.2

=== debian/changelog ===
python-setuptools-rust (1.5.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Jan 2023 14:19:29 +0000

python-setuptools-rust (1.5.2-1) unstable; urgency=low

  * New upstream release.
   + Drop debian/clean again, since we're now shipping a tarball that includes
     it.
  * Drop outdated patch hello-world-profile.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Jan 2023 23:41:50 +0000

python-setuptools-rust (1.2.0-3) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-semantic-version.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 28 May 2022 00:36:16 +0100

python-setuptools-rust (1.2.0-2) unstable; urgency=medium

  * Add dependency on rust compiler.
  * Add autopkgtest for building the hello-world example.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 14 May 2022 17:10:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
- python3-semantic-version (>= 2.6.0),
+ python3-semantic-version,
  python3-setuptools (>= 46.1),
  python3-setuptools-scm (>= 3.4.3),
- python3-typing-extensions (>=3.7.4.3)
+ python3-typing-extensions (>= 3.7.4.3),
+ python3-tomli
 Testsuite: autopkgtest-pkg-python
 Source: python-setuptools-rust
 Homepage: https://github.com/PyO3/setuptools-rust
@@ -19,7 +20,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setuptools-rust
 
 Package: python3-setuptools-rust
-Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}
+Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}, rustc, cargo
 Architecture: all
 Description: Setuptools Rust extension plugin
  setuptools-rust is a plugin for setuptools to build Rust Python

=== debian/tests/control ===
Tests: hello-world
Depends: @
Restrictions: allow-stderr

## python-setuptools-rust 1.9.0%2Bdfsg

=== debian/changelog ===
python-setuptools-rust (1.9.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Do not generate a dirrect dependency on python3-pkg-resources
    (Closes: #1083709)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 01:06:11 +0100

python-setuptools-rust (1.9.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Remove non pybuild test

 -- Jérémy Lal <kapouer@melix.org>  Tue, 19 Mar 2024 07:56:13 +0100

python-setuptools-rust (1.9.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.9.0+dfsg
  * Exclude some examples test files
  * Add debian/gbp.conf
  * Standards-Version 4.6.2
  * Use pybuild/pytest and autopkgtest for pybuild
  * Cleanup so dpkg-buildpackage works twice
  * Rename MIT license to Expat
  * Update watch file

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Mar 2024 11:36:30 +0100

## python-setuptools-rust 1.9.0+dfsg

=== debian/changelog ===
python-setuptools-rust (1.9.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:23:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-pytest,
  python3-semantic-version,
  python3-setuptools (>= 46.1),
  python3-setuptools-scm (>= 3.4.3),
  python3-typing-extensions (>= 3.7.4.3),
- python3-tomli
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Source: python-setuptools-rust
 Homepage: https://github.com/PyO3/setuptools-rust
 Priority: optional

## python-setuptools-rust 1.12.0+dfsg

=== docs/requirements.txt ===
Sphinx==8.2.3
sphinx-autodoc-typehints==3.1.0
furo==2025.7.19
myst-parser==4.0.1

=== debian/changelog ===
python-setuptools-rust (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop obsolete Priority and Rules-Requires-Root fields.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Aug 2025 19:39:19 +0500

=== debian/control ===
Source: python-setuptools-rust
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest,
 python3-semantic-version,
 python3-setuptools (>= 46.1),
 python3-setuptools-scm (>= 3.4.3),
 python3-typing-extensions (>= 3.7.4.3),
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-setuptools-rust.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setuptools-rust
Homepage: https://github.com/PyO3/setuptools-rust
Testsuite: autopkgtest-pkg-pybuild

Package: python3-setuptools-rust
Architecture: all
Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}, rustc, cargo
Description: Setuptools Rust extension plugin
 setuptools-rust is a plugin for setuptools to build Rust Python
 extensions implemented with PyO3 or rust-cpython.
 .
 Compile and distribute Python extensions written in Rust as easily as
 if they were written in C.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf setuptools_rust.egg-info

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/setuptools-rust-$1\.tar\.gz/ https://github.com/PyO3/setuptools-rust/tags .*\/v(\d\S+)\.tar\.gz
